.. _stm:

STM images
==========

The STM is a revolutionary experimental surface probe that has
provided direct local insight into the surface electronic
structure. Sometimes the interpretation of STM topographs are not
straightforward and therefore theoretically modeled STM images may
resolve conflicting possibilities and point to an underlying atomistic
model. ASE includes python modules for generating
Tersoff-Hamann STM topographs.


.. seealso::

   * `Tutorial using GPAW
     <https://wiki.fysik.dtu.dk/gpaw/tutorials/stm/stm.html>`__
   * `Execise using GPAW
     <https://wiki.fysik.dtu.dk/gpaw/exercises/stm/stm.html>`__

More details:

.. autoclass:: ase.dft.stm.STM
   :members:
